
# CATEGORY WIDGET

Permet d'afficher une catégorie ou une liste de catégories avec leur image.

## Variables

- widget_title (setWidgetTitle) : Optionnel : Titre H2 du widget
- widget_content (setWidgetContent) : Optionnel : Contenu texte servant à insérer une description dans le widget
- category_selection (setCategorySelection): Obligatoire : ID de la catégorie à afficher. Pour en afficher plusieurs 3,6
- template (setTemplate) : Obligatoire : Permet de sélectionner le template de rendu

## Exemples d'intégration

Dans un fichier layout (XML) :
```xml
<block class="NicolasBejean\CategoryWidget\Block\Widget\CategoryWidget">
    <arguments>
        <argument name="category_selection" xsi:type="string">3</argument>
        <argument name="template" xsi:type="string">widget/category_widget_img_background.phtml</argument>
    </arguments>
</block>
```

Dans un fichier de template (PHTML) :
```php
<?php
echo $this  ->getLayout()
            ->createBlock("NicolasBejean\CategoryWidget\Block\Widget\CategoryWidget")
            ->setCategorySelection("6")
            ->setTemplate("widget/category_widget.phtml")
            ->toHtml();
?>
```
Dans le backoffice :
```html
{{widget type="NicolasBejean\CategoryWidget\Block\Widget\CategoryWidget" widget_title="titre" widget_content="tag" category_selection="3" template="widget/category_widget_img_background.phtml"}}
```
## Structure LESS

Le fichier LESS doit être créé dans le dossier Category_Widget/web/css/source/_categoryWidget
```less
.category-widget {
    .content-heading {
        h2.title {}
        p.content {}
    }
    .categories {
        a.category {
            img {}
            span {}
        }
    }
}
```
## Source

https://github.com/Programmingatkstark/Magento-2-Category-with-image-widget